Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.commonj
Class DelegatingWork

    java.lang.Object
      org.springframework.scheduling.commonj.DelegatingWork

All Implemented Interfaces:
  commonj.work.Work, java.lang.Runnable

    public class DelegatingWork

extends java.lang.Object
implements commonj.work.Work

Simple Work adapter that delegates to a given Runnable.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `Work`, `Runnable`

Constructor Summary
`DelegatingWork(java.lang.Runnable delegate)` Create a new DelegatingWork.

Method Summary
`java.lang.Runnable` | `getDelegate()` Return the wrapped Runnable implementation.
`boolean` | `isDaemon()` This implementation delegates to `SchedulingAwareRunnable.isLongLived()`, if available.
`void` | `release()` This implementation is empty, since we expect the Runnable to terminate based on some specific shutdown signal.
`void` | `run()` Delegates execution to the underlying Runnable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingWork

    public DelegatingWork(java.lang.Runnable delegate)

  Create a new DelegatingWork.

  Parameters:
    `delegate` - the Runnable implementation to delegate to (may be a SchedulingAwareRunnable for extended support)
  See Also:
    `SchedulingAwareRunnable`, `isDaemon()`

Method Detail

### getDelegate

    public final java.lang.Runnable getDelegate()

  Return the wrapped Runnable implementation.

### run

    public void run()

  Delegates execution to the underlying Runnable.

  Specified by:
    `run` in interface `java.lang.Runnable`

### isDaemon

    public boolean isDaemon()

  This implementation delegates to `SchedulingAwareRunnable.isLongLived()`, if available.

  Specified by:
    `isDaemon` in interface `commonj.work.Work`

### release

    public void release()

  This implementation is empty, since we expect the Runnable to terminate based on some specific shutdown signal.

  Specified by:
    `release` in interface `commonj.work.Work`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD